divert(`-1')
changequote(`[[', `]]')
define(lorem_ipsum, [[Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam elit orci, semper sit amet augue sed, vehicula tristique mauris. Quisque tincidunt felis ex, et sodales nisl fermentum eget. Vestibulum nec lacinia diam. Vivamus condimentum porta volutpat. Nam eu malesuada augue. Vestibulum in volutpat massa. Proin nisi magna, lobortis et tincidunt nec, scelerisque sed quam. Phasellus rutrum scelerisque felis vitae vestibulum. Curabitur egestas nulla ac nibh ullamcorper rhoncus. Nam sit amet justo vulputate, consectetur urna eget, mollis nisl. Nunc vitae suscipit urna. Cras fermentum purus lorem, nec rutrum elit faucibus at. Nullam nec maximus orci. Quisque aliquet et metus vel gravida. Vivamus egestas, elit in ullamcorper semper, massa orci dictum tellus, at rhoncus leo dui eget risus.]])
# forloop(var, from, to, stmt) - simple version
define([[forloop]], [[pushdef([[$1]], [[$2]])_forloop($@)popdef([[$1]])]])
define([[_forloop]],
       [[$4[[]]ifelse($1, [[$3]], [[]], [[define([[$1]], incr($1))$0($@)]])]])
divert[[]]dnl
